Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.olostep.com/v1/monitors/{monitor_id}/planning \ --header 'Authorization: Bearer <token>'
{ "spec": { "saved_at": "<string>", "status": "<string>", "goal": "<string>", "reasoning": "<string>", "constraints": "<string>", "assumptions": "<string>", "input": {}, "output": {}, "chat_history": [ {} ] }, "dag": { "user_query": "<string>", "query_intent_mode": "<string>", "query_intent_stream_change_type": "<string>", "scrape_strategy": "<string>", "subtasks": [ {} ], "graph": {}, "has_unresolved": true, "unresolved": [ {} ], "validation": { "is_valid": true, "attempts": 123, "history": [ {} ] } } }
Returns the FDA workflow spec and planner DAG for a monitor shadow agent.
Bearer authentication header of the form Bearer , where is your auth token.
^monitor_
Planning artifacts.
Show child attributes
Was this page helpful?